package com.sv.mapper;

import com.sv.entity.PayConfig;

import java.util.List;

/**
 * Mapper - 支付参数配置表
 *
 * @author lihong
 * @since 2018-08-03
 */
public interface PayConfigMapper {

    /**
     * 新建支付参数配置表
     *
     * @param payConfig 支付参数配置表
     */
    void insert(PayConfig payConfig);

    /**
     * 更新支付参数配置表
     *
     * @param payConfig 支付参数配置表
     */
    void update(PayConfig payConfig);

    /**
     * 删除支付参数配置表
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除支付参数配置表
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询支付参数配置表
     *
     * @param id 编号
     * @return 支付参数配置表
     */
    PayConfig findById(Integer id);

    /**
     * 查询支付参数配置表
     *
     * @return 支付参数配置表集合
     */
    List<PayConfig> findAll();

    /**
     * api
     * @param name
     * @return
     */
    PayConfig findKey(String name);

}